package processing.test.basisp;

import processing.core.*; 
import processing.data.*; 
import processing.event.*; 
import processing.opengl.*; 

import java.util.HashMap; 
import java.util.ArrayList; 
import java.io.File; 
import java.io.BufferedReader; 
import java.io.PrintWriter; 
import java.io.InputStream; 
import java.io.OutputStream; 
import java.io.IOException; 

public class basisP extends PApplet {

public boolean aktiv = false;

public void setup()
{
}

public void draw()
{
     clear();
     background(255);
     noStroke();
     if(aktiv)
     {
           fill(0,255,0);
     }
     else
     {
           fill(255,0,0);
     }
     ellipse(width/2,height/2,width/2,height/2);
}

public void mousePressed()
{
    aktiv = !aktiv;
}

}
